
Name: sgx-compat-nasm2.15.05
Summary: NASM build for use with reproducible SGX enclaves
Version: 2.15.05
Release: 1%{?dist}
# Sync from native nasm.spec
License: BSD-2-Clause
URL: http://www.nasm.us
Source: https://www.nasm.us/pub/nasm/releasebuilds/%{version}/nasm-%{version}.tar.xz

# SGX is a technology that only exists in Intel x86 CPUs
ExclusiveArch: x86_64

BuildRequires: sgx-srpm-macros

BuildRequires: perl(Env)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: asciidoc
BuildRequires: xmlto
BuildRequires: gcc
BuildRequires: make

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

This build variant is intended for use with reproducible SGX enclaves.

%prep
%autosetup -p1 -n nasm-%{version}

%build
%configure
%make_build

%install
%make_install

rm -rf %{buildroot}%{_mandir}

mv %{buildroot}%{_bindir}/nasm %{buildroot}%{_bindir}/%{sgx_triplet}-nasm-%{version}
mv %{buildroot}%{_bindir}/ndisasm %{buildroot}%{_bindir}/%{sgx_triplet}-ndisasm-%{version}

%check
make -C test golden test diff

%files
%license LICENSE
%doc AUTHORS CHANGES README.md
%{_bindir}/%{sgx_triplet}-nasm-%{version}
%{_bindir}/%{sgx_triplet}-ndisasm-%{version}
